Bug 443129 - gnome-terminals not starting correctly
gnome-terminals not starting correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
9
All Linux
high Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Regression
: 441534 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 15:04 EDT by Peter Staubach
Modified: 2009-07-14 13:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:43:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Staubach 2008-04-18 15:04:35 EDT
Description of problem:

The desktop layout that I use includes 3 gnome-terminals, 1 each on
workspaces 1 to 3.  They are identical in size and location on the
screen.

After upgrading to Fedora 9 beta, 2 of them are consistently no
longer the right size and location.

Version-Release number of selected component (if applicable):

gnome-terminal.-2.22.1-1.fc9.i386

How reproducible:

It happens each time that I login.

Steps to Reproduce:
1. Create 3 terminals, 1 on each workspace, with the same size and
   location on the screen.  Center them on the screen and make them
   a different size than the default of 80x24.
2. Save the session.
3. Logout.
4. Login.
  
Actual results:

3 terminals, 1 on each workspace, but with 2 being the default size
(80x24) and location (in the upper left of the screen), and the 3'rd
being the size and location that was requested.

Expected results:

3 terminals, 1 on each workspace, each being the same size and location
on the screen.

Additional info:

When I am logging in, I can see a terminal with the correct size and
location, and then when the panel comes up, the terminal switches
size and shape.

After talking with Ray Strode, he suggested starting the gnome-terminals
with the --disable-factory option.  This seems to fix the problem.  It
doesn't seem like this should be necessary though.
Comment 1 Doug Ledford 2008-05-07 10:51:09 EDT
*** Bug 441534 has been marked as a duplicate of this bug. ***
Comment 2 Doug Ledford 2008-05-07 15:13:23 EDT
Further experimentation for me shows that the --disable-factory option does not
solve my problem.  However, I think I know why it does solve Peter's problem. 
Essentially, disable-factory will cause each gnome-terminal to be a separate
process instead of a number of windows owned by a single process.  In my case,
my terminal launcher launchers four terminal windows in a single process, so
--disable-factory has no effect since I am manually forcing it into factory mode
by specifying more than one --window option on the command line.  In other
words, I would expect in Peter's case that the use of disable factory means that
he has three gnome-terminals running, each with one window and one bash shell as
a child process (and this is the way to verify things, the number of shells that
are a child of the gnome-terminal is equal to the number of separate
windows/tabs owned by that gnome-terminal).  Even when he then saves session for
a restart, he saves three gnome-terminal sessions and so when it restarts,
things work OK.  In my case, I tried to just use disable-factory as an
additional item on my terminal creation command launcher and it didn't help, but
that was because I was specifying multiple windows on the launcher command.  I
would need to both use disable-factory and also run a separate command for each
window in order for this workaround to work.

So, I did a little experimentation to try and get further to the root cause of
this.  I created a launcher that launched a single window with a specified geometry:

gnome-terminal --window --geometry=80x34+0+0

This works as expected.  Then I added a second window into the mix, without
attempting to set the geometry on the second window:

gnome-terminal --window --geometry=80x34+0+0 --window

Note that this is supposed to apply the geometry to the first window as geometry
is one of the options that you are supposed to be able to supply once per window
and it is supposed to effect the last specified window.  When this starts up, I
get one window with the correct geometry and one window with default geometry. 
However, by running a ps axf in each window and then checking to see what order
the windows were started in, I find that the first window has the default
geometry and the second window has the geometry from the command line.

So, I think the problem is pretty obvious at this point.  For some reason, the
current version of gnome-terminal is only honoring the last --geomtry option
seen on the command line, and it's applying it to the last --window on the
command line, no matter where it actually was on the command line, and all other
windows are getting a default setting.  This is effecting not only newly created
windows, but windows created as part of session management.  This is both a
regression from the previous version of gnome-terminal and in complete
contradiction of the gnome-terminal documentation.  I'm therefore upping the
priority on this issue.
Comment 3 Bug Zapper 2008-05-14 05:40:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steve 2008-05-15 23:47:01 EDT
I can confirm this bug as well.  I usually have 4 gnome-terminals in 1 workspace
laid out (with different sizes).  In Fedora 8, the layout is restored perfectly
when I log out and log back into gnome again.  But in Fedora 9, the terminals
are in the wrong position (and wrong sizes).

I have found a temporary fix by downgrading gnome-terminal to the Fedora 8
version (gnome-terminal-2.18.4-1.fc8.i386.rpm) and its is fine.  So this is
definitely a problem with the new 2.22 version of gnome terminal.

This has also been reported here as well: 
https://bugs.launchpad.net/ubuntu/+source/gnome-terminal/+bug/221144
Comment 5 Balaji G 2008-06-06 07:22:10 EDT
Changing Status to ASSIGNED.

Cheers,
Balaji
Comment 6 Mike Iglesias 2008-06-16 19:01:22 EDT
I see this too.  In my case, it looks like it puts all the windows where they
belong with the correct size, and then something resets them all to 80x24 and
shoves them all up into the upper left corner of the desktop.
Comment 7 Charles R. Anderson 2008-09-05 11:42:44 EDT
Has something changed recently?  This time when I rebooted and logged back in, my gnome-terminals ended up in the right place.  I didn't experience the problem at all.  

gnome-terminal-2.22.2-1.fc9.i386
gnome-panel-2.22.2-2.fc9.i386
Comment 8 Mike Iglesias 2008-11-13 11:05:06 EST
(In reply to comment #7)
> Has something changed recently?  This time when I rebooted and logged back in,
> my gnome-terminals ended up in the right place.  I didn't experience the
> problem at all.  
> 
> gnome-terminal-2.22.2-1.fc9.i386
> gnome-panel-2.22.2-2.fc9.i386

I'm still seeing on my system which has all the latest updates.
Comment 9 Alex Lancaster 2008-12-07 07:43:05 EST
On Fedora 10, none of my gnome-terminal windows are saved at all (the "save session" option is enabled).  All my open gnome-terminals disappear on a relogin.  Anyone else seeing this?

# rpm -q gnome-terminal
gnome-terminal-2.24.1-2.fc10.i386
Comment 10 jonathan baron 2008-12-19 21:52:59 EST
(In reply to comment #9)
> On Fedora 10, none of my gnome-terminal windows are saved at all (the "save
> session" option is enabled).  All my open gnome-terminals disappear on a
> relogin.  Anyone else seeing this?
> 
> # rpm -q gnome-terminal
> gnome-terminal-2.24.1-2.fc10.i386

Yes.  In fact gnome-save-session seems to do absolutely nothing.  It doesn't matter whether I use the command line or the option setting.  It just never works.  It doesn't even tell me that it cannot save xemacs (which it used to tell me).  I'm going to look for another bug for this, or report one.

gnome-session-2.24.2-1.fc10.x86_64
but the same thing happens on i386.
Comment 11 jonathan baron 2008-12-19 22:05:05 EST
(In reply to comment #10)
  In fact gnome-save-session seems to do absolutely nothing.  It doesn't
> matter whether I use the command line or the option setting.  It just never
> works.  It doesn't even tell me that it cannot save xemacs (which it used to
> tell me).  I'm going to look for another bug for this, or report one.

It is bug 471980.  Sorry for not looking first.
Comment 12 Charles R. Anderson 2008-12-19 22:11:41 EST
Fedora 10 w/GNOME 2.24.1 has a different issue than this bug is about in Fedora 9.  Session-saving is completely broken in GNOME 2.24.1:

http://bugzilla.gnome.org/show_bug.cgi?id=552387
http://live.gnome.org/SessionManagement/NewGnomeSession
http://blogs.gnome.org/metacity/2008/03/08/session-management/
Comment 13 Bug Zapper 2009-06-09 20:16:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:43:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 jonathan baron 2009-07-14 13:00:35 EDT
Actually it is sort of fixed in Fedora 11.  That is, it works most of the time, often enough so that I have not bothered to figure out what causes it not to work sometimes.  Save-session is working again.

And for a couple of applications, I start them with .config/autostart/ entries, like this, for a file called .config/autostart/xemacs.desktop:

[Desktop Entry]
Type=Application
Name=xemacs
Exec=xemacs
Icon=
Comment=

Note You need to log in before you can comment on or make changes to this bug.